stages:
  - deploy

deploy:
  stage: deploy
  script:
    - eval $(ssh-agent -s)
    - chmod 600 ad2.pem 
    - ssh-add ad2.pem
    - ssh -i ad2.pem -o StrictHostKeyChecking=no ubuntu@ec2-16-171-3-167.eu-north-1.compute.amazonaws.com "/var/www/deploy.sh"
  only:
    - main
